﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    using Infragistics.Win.UltraWinDataSource;
    using Infragistics.Win.UltraWinGrid;
    using Infragistics.Win.UltraWinMaskedEdit;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ColumnsCollection collection = this.ultraGrid1.DisplayLayout.Bands[0].Columns;
            
            // first two cells are without masking
            int i = 0;
            foreach (UltraGridColumn column in collection)
            {
                // last two cells have same masking
                if (i > 1)
                {
                    column.MaskInput = "aaa|aaa|aa.a|a|aa.aa|aaa";
                    column.MaskDisplayMode = MaskMode.IncludeBoth;
                }

                i++;
            }

            // Add data to ultragrid
            this.ultraDataSource1.Rows.Add();
            UltraDataRow curRow = this.ultraDataSource1.Rows[0];

            // this is input data, the source
            string source = "1234567       890";

            // first cell displays source data
            curRow[0] = source;

            // second cell displays data how I need it to be displayed
            curRow[1] = "123|456|7_._|_|__.__|890";

            // third cell shows source data with applied mask
            // in this case applied mask does not show string in desired format (890 are more to the left)
            curRow[2] = source;

            // fourth cell shows source data with applied mask, but all spaces are replaced with some character (x)
            // in this case applied mask displays string in desired format
            curRow[3] = source.Replace(' ', 'x');
        }
    }
}
